%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.1.1
%define fname aspell5-%{languagecode}
%define aspell_ver 0.60
%define languageenglazy Tetum
%define languagecode tet
%define lc_ctype tet_TP

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.50.0
Release:       %mkrel 19
Group:         System/Internationalization
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%fname-%{src_ver}.tar.bz2
URL:           http://aspell.net/
License:	   GPL
Provides: spell-%{languagecode}


BuildRequires: aspell >= %{aspell_ver}
BuildRequires: make
Requires:      aspell >= %{aspell_ver}

# Mageia Stuff
# there is not tet locale yet
#Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:	   aspell-%{lc_ctype}

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{fname}-%{src_ver}

%build

# don't use configure macro
./configure

%make_build

%install
%make_install

chmod 644 Copyright README doc/*

%files
%doc README Copyright doc/*
%doc doc/*
%{_libdir}/aspell-%{aspell_ver}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.50.0-19.mga10
+ Revision: 2195150
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 0.50.0-18.mga9
+ Revision: 1791383
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-17.mga8
+ Revision: 1510404
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-16.mga7
+ Revision: 1294969
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-15.mga6
+ Revision: 945177
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-14.mga5
+ Revision: 748113
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-13.mga5
+ Revision: 677987
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-12.mga4
+ Revision: 502840
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.50.0-11.mga3
+ Revision: 346417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 16 2012 kamil <kamil> 0.50.0-10.mga2
+ Revision: 209460
- stop providing enchant-dictionary
- clean .spec a bit
+ dmorgan <dmorgan>
- Remove mandriva occurencies
+ ahmad <ahmad>
- imported package aspell-tet


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.50.0-9mdv2011.0
+ Revision: 603465
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.50.0-8mdv2010.1
+ Revision: 518966
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.50.0-7mdv2010.0
+ Revision: 413108
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.50.0-6mdv2009.1
+ Revision: 350121
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.50.0-5mdv2009.0
+ Revision: 220453
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 0.50.0-4mdv2008.1
+ Revision: 182659
- provide enchant-dictionary

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.0-2mdv2007.0
+ Revision: 123374
- Import aspell-tet

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.0-2mdv2007.1
- use the mkrel macro
- disable debug packages

* Tue Jul 20 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.0-1mdk
- first version for mandrake

